from telegram.ext import (
    Application,
    CommandHandler,
    CallbackQueryHandler,
    ConversationHandler,
    filters,
    CallbackContext,
)
import requests
import os

# Константы
BOT_TOKEN = "YOUR_BOT_TOKEN"
HIDDIFY_API_URL = "https://your_domain.com/admin/api/add_user"
HIDDIFY_ADMIN_PASSWORD = "your_admin_password"

# Создание пользователя через API Hiddify
def create_user(username, data_limit, expire_in):
    payload = {
        "username": username,
        "data_limit": data_limit,
        "expire_in": expire_in
    }
    response = requests.post(HIDDIFY_API_URL, auth=("admin", HIDDIFY_ADMIN_PASSWORD), data=payload)
    return response.json()

# Обработчики команд
async def start(update, context):
    await update.message.reply_text(
        "Добро пожаловать! Выберите действие:",
        reply_markup=get_main_menu()
    )

def get_main_menu():
    from telegram import InlineKeyboardButton, InlineKeyboardMarkup
    keyboard = [
        [InlineKeyboardButton("Купить подписку", callback_data="buy")],
        [InlineKeyboardButton("Проверить статус", callback_data="status")],
        [InlineKeyboardButton("Тестовый период", callback_data="trial")],
    ]
    return InlineKeyboardMarkup(keyboard)

# Остальной код аналогичен предыдущему боту, но с использованием функции create_user